manifestVersion: 1.1
id: forgejo
category: developer
name: Forgejo
version: "11.0.11"
tagline: Самостоятельная легкая кузница программного обеспечения
description: >-
  Forgejo — это легковесная платформа программного обеспечения с автономным размещением, разработанная как полностью автономная и уважающая конфиденциальность альтернатива GitHub, GitLab и Bitbucket. Это ответвление Gitea с дополнительными функциями и улучшениями, реализованными сообществом. Forgejo написан на Go и может работать на оборудовании с низкими ресурсами, таком как Raspberry Pi.
  
  
  🔑 Ключевые особенности:
  
  
  🏠 Полностью автономный и приватный
  
  🎯 Отслеживание проблем и управление проектами
  
  👥 Управление учетной записью/организацией/хранилищем
  
  🕶️ Поддержка Tor
  
  🛠️ Перехватчики/ключи развертывания репозитория Git
  
  📝 Проблемы с репозиторием, запросы на включение и вики
  
  👤 Добавить/удалить соавторов репозитория
  
  🌐 Граватар и собственный исходный код
  
  🖥️ Админ-панель
  
  ⚙️ Действия Forgejo для CI/CD
  
  🚀 Легкий и производительный
  
  
  🌍 Forgejo представлен вам инклюзивным сообществом под эгидой Codeberg e.V., демократической некоммерческой организации. Это 100% бесплатное программное обеспечение, ориентированное на безопасность, масштабирование, федерацию и конфиденциальность.
developer: Forgejo Community
website: https://forgejo.org/
dependencies: []
repo: https://codeberg.org/forgejo/forgejo
support: https://codeberg.org/forgejo/forgejo/issues
port: 8101
path: ""
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
releaseNotes: >-
  🚨 Этот выпуск включает важные исправления безопасности:
    - Исправлена проверка запроса PKCE для провайдера удостоверений OAuth при использовании алгоритма S256.
    - Исправлено неправильное применение области действия при использовании токенов носителя OAuth с базовой аутентификацией HTTP.
    - Исправлены отсутствующие проверки разрешений в конечных точках вложений, которые позволяли изменять вложения, которыми пользователь не владел.
    - Исправлены уведомления по электронной почте о новых выпусках, отправляемые пользователям, которые потеряли доступ к репозиторию или неактивны.
    - Исправлены отсутствующие проверки разрешений в проектах, принадлежащих пользователю/организации, которые допускали несанкционированные изменения состояния проекта.
    - Исправлена отсутствующая проверка разрешений, которая позволяла несанкционированно отменить автоматическое слияние запросов на включение.
    - Исправлена уязвимость обхода пути в параметрах перенаправления после входа в систему, которая могла допускать произвольные перенаправления.
  
  
  Полные примечания к выпуску доступны по адресу https://forgejo.org/releases/.
submitter: John Wilddip
submission: https://github.com/getumbrel/dfwebos-apps/pull/2221
